<cfprocessingdirective suppressWhitespace="yes">
<cfsilent>
<cfprocessingdirective pageEncoding="utf-8" />
<!--- ------------------------------------------
作成日：2014/01/01
作成者：WEING
説明　：エクセル出力処理
更新日：
---------------------------------------------->

<!---読取情報--->
<cfset temp_dir			 = ExpandPath("temp\")>	<!---ファイルパス--->
<cfset temp_file_name	 = "UserTemplate.xls">	<!---ファイル名--->
<cfset sheet_name		 = "list">				<!---シート名--->

<!---出力情報--->
<cfset output_dir		 = ExpandPath("temp\")>	<!---ファイルパス--->
<cfset output_file_name	 = "社員一覧" & #DateFormat(Now(),"yyyymmdd")# & #TimeFormat(Now(),"HHmmss")# &".xls">	<!---ファイル名--->


<!--- 社員マスタデータを取得 --->
<cfquery name="qGetList" datasource="#Application.dsname#">
	SELECT		USER_ID			AS	COLUMN_1
				,USER_NM		AS	COLUMN_2
				,USERKANA_NM	AS	COLUMN_3
				,SEX			AS	COLUMN_4
				,AGE			AS	COLUMN_5
				,BIRTHDAY		AS	COLUMN_6
	FROM		M_USER
	ORDER BY	USER_ID
</cfquery>

<cfset iRow		 = qGetList.recordcount>			<!---出力件数--->
<cfset iColumn	 = listlen(qGetList.columnList)>	<!---出力項目数--->
</cfsilent>

<!---エクセル生成--->
<cfscript> 
	//スプレッドシートオブジェクトを作成
	spObj = spreadsheetread("#temp_dir##temp_file_name#","#sheet_name#");
	
	//クエリを出力
	for(j = 1;j lte #iRow# ;j=j+1){
		for(i = 1;i lte #iColumn# ;i=i+1){
			SpreadsheetSetCellValue(spObj,#qGetlist["COLUMN_#i#"][j]#,j+2,i);//値出力
		}
	}
	
	//サーバにエクセル保存
	SpreadsheetWrite(spObj,"#output_dir##output_file_name#","yes");
</cfscript>

<!--- ダウンロード指示 --->
<cfheader name="Content-Disposition" value="attachment; filename=#output_file_name#">
<cfcontent type="text/comma-separated-values" file="#output_dir##output_file_name#" deleteFile="YES">
</cfprocessingdirective>